#include "util.h"
#include "types.h"

bool CompareMemory(const void* Addr1, const void* Addr2, u32 Length) {
	const u8* Data1 = Addr1;
	const u8* Data2 = Addr2;

	for (uptr i = 0; i < Length; i++) {
		if (Data1[i] != Data2[i]) return false;
	}

	return true;
}
